Results 1 to 8 of 8

Thread: Long list of " The following package updates will NOT be installed"

  1. #1

    Default Long list of " The following package updates will NOT be installed"

    When I run updates I get a long list of packages for which it says 'The following package updates will NOT be installed'. I'm wondering why not?

    The only thing I can think of is I followed the guide in a sticky thread in the Multimedia forum to get codecs installed, and part of that is to change the vendor of some Opensuse packages to packman. Any ideas?

    Code:
    ~> sudo zypper up
    Retrieving repository 'openSUSE-11.2-Update' metadata [done]
    Building repository 'openSUSE-11.2-Update' cache [done]     
    Retrieving repository 'packman' metadata [done]             
    Building repository 'packman' cache [done]                  
    Loading repository data...                                  
    Reading installed packages...                               
    
    The following package updates will NOT be installed:
      faac GeoIP gstreamer-0_10-libnice gstreamer-0_10-plugins-farsight kaffeine 
      libass4 libcdda_interface0 libcdda_paranoia0 libdirac_decoder0             
      libdirac_encoder0 libdvdread4 libfaac0 libGeoIP1 libgssdp-1_0-2            
      libgupnp-1_0-3 libgupnp-igd-1_0-2 libmtp8 libnice0 libopencore-amrnb0      
      libopencore-amrwb0 libSoundTouch0 libxvidcore4 mjpegtools mozilla-nspr osc 
      python-cryptopp python-m2crypto python-numpy python-simplejson soundtouch  
    
    The following packages are going to be upgraded:
      amsn libvlc5 libvlccore4 MozillaFirefox MozillaFirefox-translations-common 
      mozilla-xulrunner191 mozilla-xulrunner191-gnomevfs                         
      mozilla-xulrunner191-translations-common vlc vlc-gnome vlc-noX vlc-qt      
    
    12 packages to upgrade.
    Overall download size: 35.4 MiB. After the operation, additional 7.0 KiB will 
    be used.                                                                      
    Continue? [y/n/?] (y): n

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,786
    Blog Entries
    16

    Default Re: Long list of " The following package updates will NOT be installed"

    Please show us your repo list

    zypper lr -d
    Have you tried this way
    http://tinyurl.com/yejwull

    Vendor change with zypper would require
    zypper dup -r reponame
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  3. #3

    Default Re: Long list of " The following package updates will NOT be installed"

    repolist is below. Yes, the process described in your link is what I did when I setup the system months ago.

    Code:
    # | Alias                                  | Name                                   | Enabled | Refresh | Priority | Type   | URI                                                                              | Service
    --+----------------------------------------+----------------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------+--------
    1 | NVIDIA                                 | NVIDIA                                 | Yes     | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/11.2/                                        |
    2 | Tools                                  | Tools                                  | No      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Tools/openSUSE_11.2/         |
    3 | non-oss                                | non-oss                                | Yes     | No      |   99     | yast2  | dir:///home/files/packages/non-oss                                               |
    4 | openSUSE-11.2-Update                   | openSUSE-11.2-Update                   | Yes     | Yes     |   99     | rpm-md | dir:///home/files/packages/opensuse11.2updates                                   |
    5 | openSUSE:Factory:Contrib:openSUSE_11.2 | openSUSE:Factory:Contrib:openSUSE_11.2 | No      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:Factory:Contrib/openSUSE_11.2 |
    6 | oss                                    | oss                                    | Yes     | No      |   99     | yast2  | dir:///home/files/packages/oss                                                   |
    7 | packman                                | packman                                | Yes     | Yes     |   90     | rpm-md | dir:///home/files/packages/packman                                               |
    8 | repo-debug                             | openSUSE-11.2-Debug                    | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/11.2/repo/oss/                   |
    9 | vlc                                    | vlc                                    | No      | No      |   99     | rpm-md | dir:///home/files/packages/vlc                                                   |

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,786
    Blog Entries
    16

    Default Re: Long list of " The following package updates will NOT be installed"

    What happens with

    zypper dup -r packman
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  5. #5

    Default Re: Long list of " The following package updates will NOT be installed"

    Hmm, so is the zypper dist-upgrade the command line equivalent of the procedure in your link? (http://tinyurl.com/yejwull)

    I thought I'd switched everything to packman when I did the codec install procedure.

    Code:
    The following NEW packages are going to be installed:
      kaffeine-lang libsoftokn3 mozilla-nss-certs        
    
    The following packages are going to be upgraded:
      faac gstreamer-0_10-libnice kaffeine libfaac0 libnice0 libopencore-amrnb0
      libopencore-amrwb0 libxvidcore4 mjpegtools mozilla-nspr python-m2crypto
    
    The following packages are going to be downgraded:
      amrwb deluge faad2 GeoIP gstreamer-0_10-plugins-farsight gupnp ladspa
      libamrnb3 libamrwb3 libfaad2 libfreebl3 libGeoIP1 libgupnp-1_0-3
      libgupnp-igd-1_0-2 libmad0 libmp4v2 mozilla-nss perl-WWW-Curl sox
    
    The following package is going to be reinstalled:
      libx264-88
    
    The following packages are going to change vendor:
      amrwb                   Packman -> http://packman.links2linux.de
      faac                    Packman -> http://packman.links2linux.de
      gstreamer-0_10-libnice  openSUSE -> http://packman.links2linux.de
      kaffeine                openSUSE -> http://packman.links2linux.de
      libamrnb3               Packman -> http://packman.links2linux.de
      libamrwb3               Packman -> http://packman.links2linux.de
      libfaac0                Packman -> http://packman.links2linux.de
      libfreebl3              openSUSE -> http://packman.links2linux.de
      libnice0                openSUSE -> http://packman.links2linux.de
      libopencore-amrnb0      Packman -> http://packman.links2linux.de
      libopencore-amrwb0      Packman -> http://packman.links2linux.de
      libxvidcore4            Packman -> http://packman.links2linux.de
      mjpegtools              Packman -> http://packman.links2linux.de
      mozilla-nspr            openSUSE -> http://packman.links2linux.de
      mozilla-nss             openSUSE -> http://packman.links2linux.de
      python-m2crypto         openSUSE -> http://packman.links2linux.de
    
    
    11 packages to upgrade, 19 to downgrade, 3 new, 1 to reinstall, 16  to change
    vendor.
    Overall download size: 7.8 MiB. After the operation, additional 1.0 MiB will be
    used.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,786
    Blog Entries
    16

    Default Re: Long list of " The following package updates will NOT be installed"

    So go ahead
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  7. #7

    Default Re: Long list of " The following package updates will NOT be installed"

    Thanks, I think that did the trick

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,786
    Blog Entries
    16

    Default Re: Long list of " The following package updates will NOT be installed"

    Quote Originally Posted by tk83 View Post
    Thanks, I think that did the trick
    Hope so
    Well done :-)
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •